Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create a new redirect

Creates a new redirect mapping from an old slug to a new slug for an item or generic path

POST/api/v1/{team_slug}/{app_slug}/redirects
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Request body
requiredapplication/json

Redirect payload

item_idstring
localestringrequired
new_slugstringrequired
old_slugstringrequired
typegithub_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectType
Allowed:productpagecollectioncategoryproduct_bundlebrandseriecampaign
Responses
200

Redirect created successfully

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Redirectsrequired
Show properties
idstring
item_idstring | null
localestring
new_slugstring
old_slugstring
typegithub_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectType
Allowed:productpagecollectioncategoryproduct_bundle
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.enad.io/api/v1/string/string/redirects' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "item_id": "string",
  "locale": "string",
  "new_slug": "string",
  "old_slug": "string",
  "type": "product"
}'
Response
{
  "data": {
    "id": "string",
    "item_id": "string",
    "locale": "string",
    "new_slug": "string",
    "old_slug": "string",
    "type": "product"
  },
  "details": [
    "string"
  ],
  "success": true
}